/*
 * include/linux/nfsd/auth.h
 *
 * nfsd-specific authentication stuff.
 *
 * Copyright (C) 1995, 1996 Olaf Kirch <okir@monad.swb.de>
 */

#ifndef LINUX_NFSD_AUTH_H
#define LINUX_NFSD_AUTH_H

#ifdef __KERNEL__
# include <linux/config.h>

#define nfsd_luid(rq, uid)	((u32)(uid))
#define nfsd_lgid(rq, gid)	((u32)(gid))
#define nfsd_ruid(rq, uid)	((u32)(uid))
#define nfsd_rgid(rq, gid)	((u32)(gid))

/*
 * Set the current process's fsuid/fsgid etc to those of the NFS
 * client user, do mapping and squashing
 */
void		nfsd_setuser(struct svc_rqst *, struct svc_export *);

#define UGID_NONE	((uid_t)-1)

#endif /* __KERNEL__ */
#endif /* LINUX_NFSD_AUTH_H */
